Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v1
Class ParagraphAndChildrenType

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v1.BaseType
          be.fgov.ehealth.samcivics.type.v1.ParagraphType
              be.fgov.ehealth.samcivics.type.v1.ParagraphAndChildrenType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:31:40+02:00",
               comments="JAXB RI v2.2.6")
    public class ParagraphAndChildrenType

extends ParagraphType
implements Serializable

Java class for ParagraphAndChildrenType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ParagraphAndChildrenType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:samcivics:type:v1}ParagraphType">
           <sequence>
             <element name="verseList" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="verse" type="{urn:be:fgov:ehealth:samcivics:type:v1}VerseType" maxOccurs="unbounded"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="exclusionList" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="exclusion" type="{urn:be:fgov:ehealth:samcivics:type:v1}ExclusionType" maxOccurs="unbounded"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ParagraphAndChildrenType()`

Method Summary
`ExclusionList` | `getExclusionList()` Gets the value of the exclusionList property.
`VerseList` | `getVerseList()` Gets the value of the verseList property.
`void` | `setExclusionList(ExclusionList value)` Sets the value of the exclusionList property.
`void` | `setVerseList(VerseList value)` Sets the value of the verseList property.

Methods inherited from class be.fgov.ehealth.samcivics.type.v1.ParagraphType
`getAgreementType, getChapterName, getKeyStringFr, getKeyStringNl, getLegalReference, getModificationDate, getParagraphName, getParagraphVersion, getProcessType, getProcessTypeOverrule, getPublicationDate, setAgreementType, setChapterName, setKeyStringFr, setKeyStringNl, setLegalReference, setModificationDate, setParagraphName, setParagraphVersion, setProcessType, setProcessTypeOverrule, setPublicationDate`

Methods inherited from class be.fgov.ehealth.samcivics.type.v1.BaseType
`getEndDate, getStartDate, setEndDate, setStartDate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParagraphAndChildrenType

    public ParagraphAndChildrenType()

Method Detail

### getVerseList

    public VerseList getVerseList()

  Gets the value of the verseList property.

  Returns:
    possible object is `VerseList`

### setVerseList

    public void setVerseList(VerseList value)

  Sets the value of the verseList property.

  Parameters:
    `value` - allowed object is `VerseList`

### getExclusionList

    public ExclusionList getExclusionList()

  Gets the value of the exclusionList property.

  Returns:
    possible object is `ExclusionList`

### setExclusionList

    public void setExclusionList(ExclusionList value)

  Sets the value of the exclusionList property.

  Parameters:
    `value` - allowed object is `ExclusionList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.